Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 591110 - [abrt] crash in awn-extras-applets-0.4.0-5.fc12: switch.py:60:get_num_columns:AttributeError: 'NoneType' object has no attribute 'get_width'
Summary: [abrt] crash in awn-extras-applets-0.4.0-5.fc12: switch.py:60:get_num_columns...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: awn-extras-applets
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:b0722557
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-11 13:23 UTC by Florian Fischer
Modified: 2010-05-28 18:10 UTC (History)
2 users (show)

Fixed In Version: awn-extras-applets-0.4.0-11.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-28 17:54:15 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2010-05-11 13:24 UTC, Florian Fischer
no flags Details


Links
System ID Priority Status Summary Last Updated
Launchpad 578803 None None None Never

Description Florian Fischer 2010-05-11 13:23:53 UTC
abrt 1.0.9 detected a crash.

architecture: x86_64
cmdline: python /usr/share/avant-window-navigator/applets/slickswitcher/slickswitcher.py --uid=1273583792 --window=52654537 --panel-id=1
component: awn-extras-applets
executable: /usr/share/avant-window-navigator/applets/slickswitcher/slickswitcher.py
kernel: 2.6.32.11-99.fc12.x86_64
package: awn-extras-applets-0.4.0-5.fc12
reason: switch.py:60:get_num_columns:AttributeError: 'NoneType' object has no attribute 'get_width'
release: Fedora release 12 (Constantine)

backtrace
-----
switch.py:60:get_num_columns:AttributeError: 'NoneType' object has no attribute 'get_width'

Traceback (most recent call last):
  File "/usr/share/avant-window-navigator/applets/slickswitcher/switch.py", line 51, in emitted
    func()
  File "/usr/share/avant-window-navigator/applets/slickswitcher/drawing.py", line 109, in update
    num_columns = self.switch.get_num_columns()
  File "/usr/share/avant-window-navigator/applets/slickswitcher/switch.py", line 60, in get_num_columns
    workspace_width = current_workspace.get_width()
AttributeError: 'NoneType' object has no attribute 'get_width'

Local variables in innermost frame:
self: <switch.Switch instance at 0x29757e8>
current_workspace: None

Comment 1 Florian Fischer 2010-05-11 13:24:15 UTC
Created attachment 413135 [details]
File: backtrace

Comment 2 leigh scott 2010-05-11 13:46:19 UTC
Bug forwarded upstream

https://bugs.launchpad.net/awn-extras/+bug/578803

Comment 3 Fedora Update System 2010-05-27 21:59:57 UTC
awn-extras-applets-0.4.0-10.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/awn-extras-applets-0.4.0-10.fc13

Comment 4 Fedora Update System 2010-05-27 22:04:54 UTC
awn-extras-applets-0.4.0-10.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/awn-extras-applets-0.4.0-10.fc12

Comment 5 Fedora Update System 2010-05-28 17:54:06 UTC
awn-extras-applets-0.4.0-11.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2010-05-28 18:10:18 UTC
awn-extras-applets-0.4.0-11.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.